---
lang: en
title: 'API docs: rest.routingtable.find'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.routingtable.find.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RoutingTable](./rest.routingtable.md) &gt; [find](./rest.routingtable.find.md)

## RoutingTable.find() method

Map a request to a route

<b>Signature:</b>

```typescript
find(request: Request): ResolvedRoute;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  request | <code>Request</code> |  |

<b>Returns:</b>

`ResolvedRoute`


